#ifndef BUTTON_H
#define BUTTON_H

class Button final {
    bool keyDown;
    bool buttonDown;
    bool released;
    int downTime;
    
public:
    Button();
    void pressKey();
    void releaseKey();
    void pressButton();
    void tick();
    bool isDown() const;
    int getDownTime() const;
    bool wasReleased() const;
};

#endif