#include <iostream>

#include <GL/glew.h>
#include <GLFW/glfw3.h>

#include "rendering/wrapper/GLFW.h"

bool GLFW::init() {
    if(glfwInit()) {
        atexit([]() {
            glfwTerminate();
        });
        return false;
    }
    std::cout << "could not initialize GLFW\n";
    return true;
}